local tablet = AceLibrary("Tablet-2.0")

FuBar_ItemDBFu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "FuBarPlugin-2.0")
FuBar_ItemDBFu.hasIcon = "Interface\\Icons\\INV_Scroll_03"

-- function FuBar_ItemDBFu:OnInitialize()
-- end

function FuBar_ItemDBFu:OnEnable()
	self:ScheduleRepeatingEvent(self.Update, 1, self)
end

-- function FuBar_ItemDBFu:OnDisable()
-- end

function FuBar_ItemDBFu:OnDataUpdate()
	self.ItemDB_Info = ItemDB:GetInfos()
end

function FuBar_ItemDBFu:OnTextUpdate()
		if self.ItemDB_Info.ItemsAll > 0 then
			self:SetText(self.ItemDB_Info.ItemsSession.." / "..self.ItemDB_Info.ItemsAll)
		else
			self:SetText("N/A")
		end
end

function FuBar_ItemDBFu:OnTooltipUpdate()
	local cat = tablet:AddCategory(
		'columns', 2,
		'text', "Status",
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 1
	)
	cat:AddLine(
		'text', "version:",
		'text2', self.ItemDB_Info.Version
	)
	cat:AddLine(
		'text', "session:",
		'text2', self.ItemDB_Info.ItemsSession
	)
	cat:AddLine(
		'text', "all:",
		'text2', self.ItemDB_Info.ItemsAll
	)
	cat:AddLine(
		'text', "percentage:",
		'text2', self.ItemDB_Info.ItemsPercentage
	)

	cat = tablet:AddCategory(
		'columns', 2,
		'text', "DistChat",
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 1
	)
	if not self.ItemDB_Info.DistChat then
		cat:AddLine(
			'text', "channel:",
			'text2', "N/A"
		)
	else
		cat:AddLine(
			'text', "channel:",
			'text2', self.ItemDB_Info.DistChat
		)
		cat:AddLine(
			'text', "queued requests:",
			'text2', self.ItemDB_Info.DistChatRequests
		)
		cat:AddLine(
			'text', "queued offers:",
			'text2', self.ItemDB_Info.DistChatOffers
		)
		cat:AddLine(
			'text', "queued items:",
			'text2', self.ItemDB_Info.DistChatItems
		)
	end
	tablet:SetHint("Click to toggle ItemDB.")
end

function FuBar_ItemDBFu:OnClick()
	ItemDB_DBFrame_ToggleUI()
end
